## PhoshSensorProxyManager

PhoshSensorProxyManager — Interface with iio-sensor-proxy

## Functions

PhoshSensorProxyManager * | phosh_sensor_proxy_manager_new ()
gboolean | phosh_sensor_proxy_manager_claim_proximity_sync ()

## Types and Values

#define | PHOSH_TYPE_SENSOR_PROXY_MANAGER
| PhoshSensorProxyManager

## Object Hierarchy

        GObject
        ╰── GDBusProxy
            ╰── PhoshDBusSensorProxyProxy
                ╰── PhoshSensorProxyManager

## Implemented Interfaces

PhoshSensorProxyManager implements GDBusInterface, GInitable, GAsyncInitable and PhoshDBusSensorProxy.

## Description

The PhoshSensorProxyManager is responsible for getting events from iio-sensor-proxy.

This is just a minimal wrapper so we don't have to provide the object path, names and bus names in several places.

## Functions

### phosh_sensor_proxy_manager_new ()

    PhoshSensorProxyManager *
    phosh_sensor_proxy_manager_new (GError **err);

### phosh_sensor_proxy_manager_claim_proximity_sync ()

    gboolean
    phosh_sensor_proxy_manager_claim_proximity_sync
                                   (PhoshSensorProxyManager *self,
                                    GError **err);

## Types and Values

### PHOSH_TYPE_SENSOR_PROXY_MANAGER

    #define PHOSH_TYPE_SENSOR_PROXY_MANAGER     (phosh_sensor_proxy_manager_get_type ())

### PhoshSensorProxyManager

    typedef struct _PhoshSensorProxyManager PhoshSensorProxyManager;